## org.apache.hadoop.io
Class DoubleWritable.Comparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.hadoop.io.DoubleWritable.Comparator

All Implemented Interfaces:
  Comparator, RawComparator

Enclosing class:
  DoubleWritable

    public static class DoubleWritable.Comparator

extends WritableComparator

A Comparator optimized for DoubleWritable.

Constructor Summary
`DoubleWritable.Comparator()`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)` Optimization hook.

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compare, compareBytes, define, get, getKeyClass, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DoubleWritable.Comparator

    public DoubleWritable.Comparator()

Method Detail

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Description copied from class: `WritableComparator`
  Optimization hook. Override this to make SequenceFile.Sorter's scream.

  The default implementation reads the data into two `WritableComparable`s (using `Writable.readFields(DataInput)`, then calls `WritableComparator.compare(WritableComparable,WritableComparable)`.

  Specified by:
    `compare` in interface `RawComparator`
  Overrides:
    `compare` in class `WritableComparator`

Copyright © 2009 The Apache Software Foundation